"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.newBlock = void 0;
const newBlock = (decl, selector, props, values) => {
    function appendToSelectors(_thisSelector, selectorToAppend) {
        const appendedSelectors = [];
        _thisSelector
            .split(',')
            .forEach(function appendSelectorsFunction(item) {
            appendedSelectors.push(item + selectorToAppend);
        });
        return appendedSelectors.join(',');
    }
    const completeSelector = appendToSelectors(decl.parent.selector, selector);
    const block = decl.parent.cloneAfter({
        selector: completeSelector,
    });
    block.walkDecls(function removeDeclarationFunction(declaration) {
        declaration.remove();
    });
    props.forEach(function addRulesFunction(prop, i) {
        const rule = decl.clone({
            prop: prop,
            value: values[i].toString(),
        });
        block.append(rule);
    });
};
exports.newBlock = newBlock;
