"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lostGutter = void 0;
const lost_vars_gutter_local_1 = require("./lost-vars-gutter-local");
const lost_vars_gutter_1 = require("./lost-vars-gutter");
const lostGutter = (css, settings) => {
    let gutter, newValue;
    css.walkDecls((declaration) => {
        if (/(\$lost-gutter)/g.test(declaration.value) &&
            !/(\$lost-gutter-local)/g.test(declaration.value)) {
            gutter = (0, lost_vars_gutter_1.lostVarsGutter)(declaration, settings);
            newValue = declaration.value.replace(/(\$lost-gutter)/g, gutter);
            declaration.value = newValue;
        }
        if (/(\$lost-gutter-local)/g.test(declaration.value)) {
            gutter = (0, lost_vars_gutter_local_1.lostVarsGutterLocal)(declaration, settings);
            newValue = declaration.value.replace(/(\$lost-gutter-local)/g, gutter);
            declaration.value = newValue;
        }
    });
};
exports.lostGutter = lostGutter;
