"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.lost = void 0;
const lost_align_1 = require("./lost-align");
const lost_at_rule_1 = require("./lost-at-rule");
const lost_column_1 = require("./lost-column");
const lost_center_1 = require("./lost-center");
const lost_flex_container_1 = require("./lost-flex-container");
const lost_gutter_1 = require("./lost-gutter");
const lost_masonry_column_1 = require("./lost-masonry-column");
const lost_masonry_wrap_1 = require("./lost-masonry-wrap");
const lost_move_1 = require("./lost-move");
const lost_row_1 = require("./lost-row");
const lost_offset_1 = require("./lost-offset");
const lost_utility_1 = require("./lost-utility");
const lost_vars_1 = require("./lost-vars");
const lost_waffle_1 = require("./lost-waffle");
// NOTE: Order Matters
const libs = [
    lost_vars_1.lostVars,
    lost_gutter_1.lostGutter,
    lost_move_1.lostMove,
    lost_utility_1.lostUtility,
    lost_flex_container_1.lostFlexContainer,
    lost_center_1.lostCenter,
    lost_align_1.lostAlign,
    lost_column_1.lostColumn,
    lost_row_1.lostRow,
    lost_waffle_1.lostWaffle,
    lost_offset_1.lostOffset,
    lost_masonry_wrap_1.lostMasonryWrap,
    lost_masonry_column_1.lostMasonryColumn,
];
const defaultSettings = {
    gutter: '30px',
    flexbox: 'no-flex',
    cycle: 'auto',
    clearing: 'both',
    rounder: 99.9,
    gridUnit: '%',
    direction: 'ltr',
};
const lost = (settings = {}) => {
    return {
        postcssPlugin: 'lost',
        prepare() {
            const runSettings = { ...defaultSettings, ...settings };
            return {
                AtRule(atRule) {
                    (0, lost_at_rule_1.lostAtRule)(atRule, runSettings);
                },
                OnceExit(css, { result }) {
                    libs.forEach((lib) => lib(css, runSettings, result));
                },
            };
        },
    };
};
exports.lost = lost;
